summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorinaki <>2020-06-28 12:06:00 (GMT)
committerhdiff <hdiff@hdiff.luite.com>2020-06-28 12:06:00 (GMT)
commitfc934b20db42649dda851a1b562bfc9ff710f8b9 (patch)
tree730e19bb55338fbecf9b1590bafdc9691edd0415
parent2030fda8e172507aaa94cb8b739bcd4d0803af9d (diff)
version 2.0.232.0.23
-rwxr-xr-xChangeLog.md4
-rwxr-xr-xREADME.md2
-rw-r--r--gi-gobject.cabal8
3 files changed, 9 insertions, 5 deletions
diff --git a/ChangeLog.md b/ChangeLog.md
index 9e52e5c..c485e57 100755
--- a/ChangeLog.md
+++ b/ChangeLog.md
@@ -1,3 +1,7 @@
+### 2.0.23
+
++ Upgrade to haskell-gi-base-0.24
+
### 2.0.22
+ Update for haskell-gi(-base)-0.23
diff --git a/README.md b/README.md
index 6afbd87..b82a23d 100755
--- a/README.md
+++ b/README.md
@@ -1,6 +1,6 @@
# Documentation
Autogenerated documentation for this package can be found at
-[https://hackage.haskell.org/package/gi-gobject-2.0.22/docs/GI-GObject.html](https://hackage.haskell.org/package/gi-gobject-2.0.22/docs/GI-GObject.html)
+[https://hackage.haskell.org/package/gi-gobject-2.0.23/docs/GI-GObject.html](https://hackage.haskell.org/package/gi-gobject-2.0.23/docs/GI-GObject.html)
For general documentation on using [haskell-gi](https://github.com/haskell-gi/haskell-gi) based bindings, see [the project page](https://github.com/haskell-gi/haskell-gi) or [the Wiki](https://github.com/haskell-gi/haskell-gi/wiki).
diff --git a/gi-gobject.cabal b/gi-gobject.cabal
index a77f07b..d5b4120 100644
--- a/gi-gobject.cabal
+++ b/gi-gobject.cabal
@@ -1,5 +1,5 @@
name: gi-gobject
-version: 2.0.22
+version: 2.0.23
synopsis: GObject bindings
description: Bindings for GObject, autogenerated by haskell-gi.
homepage: https://github.com/haskell-gi/haskell-gi
@@ -16,7 +16,7 @@ extra-source-files: README.md ChangeLog.md stack.yaml GObject.overrides
custom-setup
setup-depends: base >= 4.9 && < 5,
Cabal >= 1.24,
- haskell-gi >= 0.23 && < 0.24,
+ haskell-gi >= 0.24 && < 0.25,
gi-glib == 2.0.*
library
@@ -27,8 +27,8 @@ library
pkgconfig-depends: gobject-2.0
build-depends: base >= 4.7 && <5,
- haskell-gi-base >= 0.23 && < 0.24,
- haskell-gi >= 0.23.0 && < 0.24,
+ haskell-gi-base >= 0.24 && < 0.25,
+ haskell-gi >= 0.24.0 && < 0.25,
haskell-gi-overloading < 1.1,
gi-glib == 2.0.*,
bytestring >= 0.10 && < 1,